/***************************************************************************
                          kextable.h  -  description
                             -------------------
    begin                : Tue Mar 5 2002
    copyright            : (C) 2002 by Tero Favorin
    email                : tero@favorin.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KEXTABLE_H
#define KEXTABLE_H

#include <qwidget.h>
#include <qstringlist.h>
/**
  *@author Tero Favorin
  */
class QLabel;
class	QRadioButton;
class KComboBox;
class FTable;
class KExDataEngine;
class KExSource;
class KConfig;

class KExTable : public QWidget {
Q_OBJECT
public: 
	KExTable(QWidget * parent, KConfig *config, const char * name=0, WFlags f=0);
	~KExTable();
	void setOptions(KExDataEngine *eng, bool e);
	QString getBase() const;
	void setBase(const QString &b);
	bool getUnitBase() const;
	void setUnitBase(bool);
  void writeConfig(KConfig *config);
public slots:
	void updateBase(int);
	void unitToggle ( bool );
private:
	KExDataEngine *engine;
	QStringList list;
	QLabel *base;
	bool oldeuro;
	KComboBox *baseCombo;
	QRadioButton *unitBase;
	QRadioButton *baseUnit;
	FTable *table;
	KExSource *source;

};

#endif
