Name: kexchange
Summary: A currency converter for over 150 currencies using up to date exchange rates from the Internet.
Version: 0.3.2
Release: 1
License: GPL
Group: Applications/Financial
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Tero Favorin <tero@favorin.com>
Distribution: Redhat 9.0
Prefix: /usr
Url: http://www.favorin.com/projects/kexchange/
Requires: qt, kdebase >= 3.0, kdelibs >= 3.0
AutoReqProv: no 

%description
KExchange retrieves up-to-date currency exchange rates from the PACIFIC Exchange Rate Service and lets you convert between 150+ currencies. It may also be used as a Euro converter. It can refresh exchange rates automatically on startup or it may use locally-stored data.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-final --disable-debug --prefix=%{prefix}
make -j 2

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

cd $RPM_BUILD_ROOT


find . -type d -fprint $RPM_BUILD_DIR/file.list.%{name}.dirs
find . -type f -fprint $RPM_BUILD_DIR/file.list.%{name}.files.tmp
sed '/\/man\//s/$/.gz/g' $RPM_BUILD_DIR/file.list.%{name}.files.tmp > $RPM_BUILD_DIR/file.list.%{name}.files
find . -type l -fprint $RPM_BUILD_DIR/file.list.%{name}.libs
sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' $RPM_BUILD_DIR/file.list.%{name}.dirs > $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.files >> $RPM_BUILD_DIR/file.list.%{name}
sed 's,^\.,\%attr(-\,root\,root) ,' $RPM_BUILD_DIR/file.list.%{name}.libs >> $RPM_BUILD_DIR/file.list.%{name}

%post
if test -e /etc/redhat-release
then
	if test "`grep 9. /etc/redhat-release`"
	then
		echo >>%{prefix}/share/applnk/Applications/%{name}.desktop "Categories=Application;Utility;X-Red-Hat-Base;"
		ln -s %{prefix}/share/applnk/Applications/%{name}.desktop /usr/share/applications/%{name}.desktop
	fi
fi

%preun
if test -e /usr/share/applications/%{name}.desktop
then
	rm /usr/share/applications/%{name}.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/file.list.%{name}.libs
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files
rm -rf $RPM_BUILD_DIR/file.list.%{name}.files.tmp
rm -rf $RPM_BUILD_DIR/file.list.%{name}.dirs

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)
