/***************************************************************************
                          kexdatasource.cpp  -  description
                             -------------------
    begin                : Tue Mar 18 2003
    copyright            : (C) 2003 by Tero Favorin
    email                : tero@favorin.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kurl.h"

#include "kexdataretriever.h" 
#include "kexdatasource.h"

KExDataSource::KExDataSource(KExDataEngine *eng) {
  retrievers.setAutoDelete(true);
  engine=eng;
}
KExDataSource::~KExDataSource(){
}
const QString KExDataSource::sourceURLStr(){
  return sourceURL().prettyURL();
}
void KExDataSource::refresh(){
  runningRetriever=-1;
  retrieverReady(true); 
}
void KExDataSource::retrieverReady(bool) {
  runningRetriever++;
  KExDataRetriever *r=retrievers.at(runningRetriever);
  if (r)
    r->startTransfer();
  else
    emit sourceReady();
}
